org.eclipse.emf.cdo.security.impl

## Class GroupImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
            - - org.eclipse.emf.cdo.security.impl.SecurityElementImpl
              - - org.eclipse.emf.cdo.security.impl.SecurityItemImpl
                - - org.eclipse.emf.cdo.security.impl.AssigneeImpl
                  - - org.eclipse.emf.cdo.security.impl.GroupImpl

- All Implemented Interfaces:
    CDOObject, CDOWithID, CDOPackageTypeRegistry.CDOObjectMarker, ModelElement, Assignee, Group, SecurityElement, SecurityItem, Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, InternalCDOLoadable, InternalCDOObject

      public class GroupImpl
      extends AssigneeImpl
      implements Group

  An implementation of the model object 'Group'.

  The following features are implemented:

  - `Users`
  - `Inherited Groups`
  - `Inheriting Groups`
  - `All Inherited Groups`
  - `All Inheriting Groups`
  - `All Roles`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.security.Group

      `ADMINISTRATORS`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GroupImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EClass` | `eStaticClass()`
    `EList<Group>` | `getAllInheritedGroups()`
    `EList<Group>` | `getAllInheritingGroups()`
    `EList<Role>` | `getAllRoles()`
    `EList<Group>` | `getInheritedGroups()`
    `EList<Group>` | `getInheritingGroups()`
    `EList<User>` | `getUsers()`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.AssigneeImpl

      `getId, getRoles, setId`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.SecurityElementImpl

      `getRealm`

    - ### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

      `eStaticFeatureCount, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Assignee

      `getId, getRoles, setId`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

- - ### Constructor Detail

    - #### GroupImpl

          protected GroupImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `AssigneeImpl`
      Generated

    - #### getUsers

          public EList<User> getUsers()

      Specified by:
        `getUsers` in interface `Group`
      Returns:
        the value of the 'Users' reference list.
      See Also:
        `SecurityPackage.getGroup_Users()`, `User.getGroups()`
      Generated

    - #### getInheritedGroups

          public EList<Group> getInheritedGroups()

      Specified by:
        `getInheritedGroups` in interface `Group`
      Returns:
        the value of the 'Inherited Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_InheritedGroups()`, `Group.getInheritingGroups()`
      Generated

    - #### getInheritingGroups

          public EList<Group> getInheritingGroups()

      Specified by:
        `getInheritingGroups` in interface `Group`
      Returns:
        the value of the 'Inheriting Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_InheritingGroups()`, `Group.getInheritedGroups()`
      Generated

    - #### getAllInheritingGroups

          public EList<Group> getAllInheritingGroups()

      Specified by:
        `getAllInheritingGroups` in interface `Group`
      Returns:
        the value of the 'All Inheriting Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_AllInheritingGroups()`
      Generated
        NOT

    - #### getAllInheritedGroups

          public EList<Group> getAllInheritedGroups()

      Specified by:
        `getAllInheritedGroups` in interface `Group`
      Returns:
        the value of the 'All Inherited Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_AllInheritedGroups()`
      Generated
        NOT

    - #### getAllRoles

          public EList<Role> getAllRoles()

      Specified by:
        `getAllRoles` in interface `Group`
      Returns:
        the value of the 'All Roles' reference list.
      See Also:
        `SecurityPackage.getGroup_AllRoles()`
      Generated
        NOT

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html